<template>
  <div class="app-container">
    <el-row :gutter="3">
      <el-col :span="6">
        <el-card shadow="always" class="boxSize">
          <div class="centerImg">
            <img style="width: 140px;height: 30px;" src="@/assets/logo/jcdm2.png" alt="dark">
            <!--            <span class="nextLine" style="font-weight: bold">{{currentTime}}</span>-->
          </div>

        </el-card>
      </el-col>
      <el-col :span="3">
        <el-card shadow="always" class="boxSize">
          <span class="centerText" style="height: 60px">{{locationCode}}</span>
        </el-card>
      </el-col>
      <el-col :span="15">
        <el-card shadow="always" class="boxSize">
          <span class="centerText" >{{locationName}}</span>
        </el-card>
      </el-col>
    </el-row>
   <el-row :gutter="0"  >
     <el-col :span="14">
       <el-card   class="box-card" style="margin-top: 5px" >
         <el-form :model="form" size="large" :inline="true" label-width="68px" @submit.native.prevent>
               <el-form-item label-width="200" label="发动机码" :prop="form.engineNo"  style="align-content: center">
                 <input v-model="form.engineNo"
                        ref="inputdata"
                        style="height: 39px; width: 300px"
                        placeholder="请输入发动机码"
                 />
               </el-form-item>
         </el-form>
             <el-form ref="form" :model="form"  label-width="25%"  >
               <el-form-item   prop="productType"style="margin-top: 30px" >
      	        <span slot="label" style="font-size:22px;color:black"><strong>机型</strong></span>
                 <el-input disabled style="font-size:20px"  value="form.productType" v-model="form.productType" placeholder="" />
               </el-form-item>
             </el-form>
             <el-form ref="form" :model="form"  label-width="25%"  >
               <el-form-item   prop="orderNo" style="margin-top: 30px">
      	     <span  slot="label" style="font-size:22px;color:black"><strong>工单编号</strong></span>
                 <el-input disabled style="font-size:20px" v-model="form.orderNo" placeholder="" />
               </el-form-item>
             </el-form>
             <el-form ref="form" :model="form"  label-width="25%"  >
               <el-form-item   prop="currentWorkstation" style="margin-top: 30px">
      	     <span slot="label" style="font-size:22px;color:black"><strong>质量状态</strong></span>
                 <el-input disabled style="font-size:20px" v-model:value="form.add" placeholder="" />
               </el-form-item>
             </el-form>
         <el-divider></el-divider>

         <el-row :gutter="10" class="mb8" type="flex" justify="center"  style="text-align: center">
           <el-col :span="1.5">
             <el-button plain  :disabled="buttondisabled" type="primary" style="width:400px;height:160px" v-hasPermi="['bs:formula:add']">
               <span   class="el-icon-thumb"   style="font-size:40px;color:black"></span>
               <span style="font-size:45px;color:black"><strong>强制上线</strong></span>
             </el-button>
           </el-col>
         </el-row>
       </el-card>
     </el-col>

     <el-col :span="10"  inline style="margin-top: 5px">
         <el-card class="custom-content" style="height: 530px" >
         <el-col :span="14"style="  ">
           <span style="font-size:25px"><strong>质量数据</strong></span>
           <el-divider></el-divider>
           {{this.form.engineCheckList}}
         </el-col>
         </el-card>
     </el-col>
   </el-row>
  </div>
</template>
<script>

import { listOrderScheduling, getOrderScheduling, delOrderScheduling, addOrderScheduling, updateOrderScheduling } from "@/api/main/bs/orderScheduling/orderScheduling";
import {listPassingStationCollection, getPassingStationCollection, delPassingStationCollection, addPassingStationCollection, updatePassingStationCollection,initializedData } from "@/api/main/da/passingStationCollection/passingStationCollection";
import {listLineInfo} from "@/api/main/bs/lineInfo/lineInfo";
import {getIp, listStationConf} from "@/api/main/sc/stationConf";

export default {
  components: { },
  options: [],
  props: [],
  data() {
    return {
      options: [],
      total: 0,
      engineCheckList:[],
      showFlag:false,
      buttondisabled:true,
      locationCode: "未配置IP",
      locationName: "未配置工位",

      scannerFlag: false,
      barcode: "",

      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        engineNo: null,
        productType:null,
        orderNo:null,
        qualityStatus:null,
        currentWorkstation: null,
        add: null,
        engineCheckList:'暂无数据',
      },
      // 表单参数
      form: {
        engineNo: null,
        productType:null,
        orderNo:null,
        qualityStatus:null,
        currentWorkstation: null,
        add: null,
        engineCheckList:'暂无数据',
      },
      add: null,
    };
  },
  computed: {},
  watch: {},

  beforeDestroy() {
    this.$refs.inputdata.removeEventListener('keydown',this.handleScannerInput)
  },
  mounted() {
    this.setFocus()
    this.$refs.inputdata.addEventListener('keydown',this.handleScannerInput)
    this.getStationConf();
  },
  methods: {

    refresh() {
      location.reload();
    },
    setFocus(){
      this.$nextTick(()=>{
        this.$refs.inputdata.focus()
      })
    },
    handleScannerInput(event){
      if (this.scannerFlag){
        this.form.engineNo = ''
        this.$refs.inputdata.value = ''
        this.scannerFlag = false
      }
      const input = event.target
      const inputValue = input.value
      this.form.engineNo = inputValue
      if (event.key === 'Enter'){
        this.scannerFlag = true
        console.log("条码：",this.form.engineNo)
        if(this.form.engineNo !== null && this.form.engineNo !== undefined) {
          console.log("条码2：",this.locationCode)
            initializedData({sfcCode:this.form.engineNo,locationCode:this.locationCode}).then(res =>{
              if(res.code===500){
                  this.$createElement;
              }else {
                addPassingStationCollection({sfcCode:this.form.engineNo,locationCode:this.locationCode}).then(res =>{
                  console.log("rrrrr",res)})
                this.$message({
                  message: '扫码成功',
                  type: 'success'
                });
              }
            })
        }else{
          this.reset();
          this.buttondisabled = true
          const h = this.$createElement;
          this.$message({
            message: h('p',null, [
              h('span', null, '警告 '),
              h('i', { style: 'color: black' }, '输入的发动机号有误'),
              h()]),
            type: 'error',
            center: true,
            offset:300
          });
        }

      }
      // this.AddEngineNo();
    },

    handleScannerInput111(event){
      const param = {
        sfcCode: this.from.engineNo,
      }
      addPassingStationCollection(param).then(response => {
      });
    },


    // AddEngineNo(){
    //   const param = {
    //     locationCode: this.from.locationCode,
    //     sfcCode: this.from.engineNo,
    //     // locationCode:"OP110",
    //     // sfcCode:"666",
    //
    //   }
    //       addPassingStationCollection(param).then(response =>{});
    // },

    getStationConf() {
      getIp().then(response => {
        let queryParams = {
          ipAddress: response.msg,
        }
        listStationConf(queryParams).then(response => {
          this.locationName = response.rows[0].processesName
          this.locationCode = response.rows[0].processesCode
        });

      });

    },
    reset() {
      this.form = {
        engineNo:null,
        productType:null,
        orderNo:null,
        qualityStatus:null,
        currentWorkstation: null,
        add: null,
        engineCheckList:'暂无数据',
      };
      this.resetForm("form");
    },
    EngineNohandleChange(){
      console.log('条码：',this.form.engineNo)
      if(this.form.engineNo !== null && this.form.engineNo !== undefined){
        setSNCode(this.form.engineNo,this.locationCode)
      }
    },

  },
  }

</script>
<style scoped>
::v-deep .el-input__inner{
  height: 40px;
}
::v-deep .el-form-item__label {
  line-height: 40px;
}
.custom-content {
  height: 50%; /* 设置高度为50% */
}

.boxSize{
  height: 60px;
}
.centerText{
  color: black;
  font-weight: bold;
  font-size: 20px;
  display: flex;
  justify-content: center;
  margin-top: 5px
}

</style>
